Summary: BSD Compatibility Library for Darwin
Name: Libcompat
%define majver	14
%define minver	1
%define version %{majver}.%{minver}
Version: %{version}
Release: 11%{?dist}4a
Group: Development/Libraries
Source: http://www.opensource.apple.com/projects/darwin/1.3/source/apsl/%{name}-%{version}.tar.gz
Patch0: localhost/%{name}-%{version}-macosx10.6.patch
Patch1: localhost/%{name}-%{version}-macosx12.patch
License: Apple Public Source License
BuildRoot: %{_tmppath}/%{name}-root

%description
BSD compatibility library. 

%prep
%setup -n %{name}-%{majver}-%{minver}
%patch0 -p1 -b .macosx
%patch1 -p1 -b .macosx12

%build
#make 
make TARGET_ARCHS=arm64 MAKEFILEPATH=/Applications/Xcode.app/Contents/Developer/Makefiles \
WARNING_CFLAGS='-Wno-error=implicit-function-declaration'


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}

make MAKEFILEPATH=/Applications/Xcode.app/Contents/Developer/Makefiles \
     DSTROOT="$RPM_BUILD_ROOT" NEXTSTEP_INSTALLDIR=%{_prefix}/lib \
     PUBLIC_HDR_INSTALLDIR=%{_prefix}/include/compat \
     PRIVATE_HDR_INSTALLDIR=%{_prefix}/include/compat \
     install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%doc APPLE_LICENSE
%dir %{_prefix}/include/compat
%{_prefix}/include/compat/*.h
%{_prefix}/lib/libcompat.a

%changelog
* Thu Mar 31 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-11hepx4a
- 1st build and release on MacOS11 for Intel Macs
- built with OSXWS 11

* Wed Jan 22 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.15hepx4a
- 1st build and release on MacOS X Release 10.15 for Intel Macs
- built with OSXWS 10.15

* Thu Dec 19 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.14hepx4b
- 1st build and release on MacOS X Release 10.14 for Intel Macs
- built with OSXWS 10.14

* Mon Dec 24 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.14hepx4a
- 1st build and release on MacOS X Release 10.14 for Intel Macs
- MAKEFILEPATH added to make flags
- built with OSXWS 10.13

* Mon Apr 02 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.12hepx3a
- 1st build and release on MacOS X Release 10.13 for Intel Macs
- built with OSXWS 10.13

* Mon Dec 26 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.12hepx3b
- 2nd build and release on MacOS X Release 10.12 for Intel Macs
- built with OSXWS 10.12

* Sun Dec 18 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.12hepx3a
- 1st build and release on MacOS X Release 10.12 for Intel Macs
- built with OSXWS 10.11

* Mon Feb 08 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.11hepx3a
- 1st build and release on MacOS X Release 10.11 for Intel Macs
- now install headers to %{prefix}/include/compat

* Mon Dec 22 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.10hepx2a
- 1st build and release on MacOS X Release 10.10 for Intel Macs

* Wed Aug 06 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.9hepx2b
- 2nd build and release on MacOS X Release 10.9 for Intel Macs

* Tue Nov 19 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.9hepx2a
- 1st build and release on MacOS X Release 10.9 for Intel Macs

* Thu Sep 30 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.7hepx2a
- 1st release on MacOS X Release 10.7 for Intel Macs
- Now build for x86_64

* Thu Sep 30 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.6hepx1b
- 2nd release on MacOS X Release 10.6 for Intel Macs
- rebuilt with gcc-4.5.1

* Sat Mar  6 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.6hepx1a
- 1st release on MacOS X Release 10.6 for Intel Macs

* Thu Mar 20 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-10.5hepx1a
- 1st release on MacOS X Release 10.5 for Intel Macs

* Wed Apr 18 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-2f
- 2nd release on MacOS X Release 10.4 for Intel Macs

* Fri Oct 06 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-2e
- 1st release on MacOS X Release 10.4 for Intel Macs

* Wed May 18 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 14.1-2d
- 1st release on MacOS X Release 10.4

* Fri Jan 2 2004 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st release on MacOS X Release 10.3

* Wed Oct 9 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.2

* Wed Oct 10 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.1

* Fri Apr 20 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release
